# Posts: list

**Important**:
We will discontinue support for the v2.0 JSON API on September 30th, 2024.
To ensure continued functionality, update your applications that rely on the v2.0 JSON API
to the latest API version. For the latest version, use the links in the left-side navbar.

Retrieves a list of posts.
[Try it now](https://developers.google.com/blogger/docs/2.0/json/reference/posts/list#try-it).

Authentication is required if the posts are on a blog that is private. If the posts are on a blog that is public, then this method can be called without authentication.

## Request

### HTTP Request

```
GET https://www.googleapis.com/blogger/v2/blogs/blogId/posts
```

### Parameters

| Parameter Name | Value | Description |
|---|---|---|
| **Required Parameters** |||
| `blogId` | `string` | ID of the blog to fetch posts from. |
| **Optional Parameters** |||
| `fetchBodies` | `boolean` | Whether the body content of posts is included. |
| `maxResults` | `unsigned integer` | Maximum number of posts to fetch. |
| `pageToken` | `string` | Continuation token if the request is paged. |
| `startDate` | `datetime` | Earliest post date to fetch, a date-time with RFC 3339 formatting. |

### Request Body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "blogger#postList",
  "nextPageToken": string,
  "prevPageToken": string,
  "items": [
    posts Resource
  ]
}
```

| Property Name | Value | Description | Notes |
|---|---|---|---|
| `kind` | `string` | The kind of this entity. Always `blogger#postList`. |   |
| `nextPageToken` | `string` | Pagination token to fetch the next page, if one exists. |   |
| `prevPageToken` | `string` | Pagination token to fetch the previous page, if one exists. |   |
| `items[]` | `list` | The list of posts for this blog. |   |

## Try It!


Use the explorer below to call this method on live data and see the response.